﻿/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-bottom: 20px;
    background: #ecfcff;
    color: #555555;
    overflow-y: scroll;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding: 5px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea {
    resize: none;
}

h1 {
    color: #3f1d1b;
}

h4 {
    font-weight: bold;
}

p {
    font-size: 1.2em;
    font-weight: bold;
}

.takealook {
    font-size: 2.0em;
    color: firebrick;
}

.emailopt {
    display: none;
    position: absolute;
    top: 3px;
    left: -680px;
    visibility: collapse;
}

.validateError {
    color: #ff0000;
    font-size: 0.8em;
    font-style: italic;
    margin-left: 10px;
}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
    
    .body-content {
        padding-left: 5px;
        padding-right: 5px;
    }

    .input-group {
        position: relative;
        display: inline-block;
        flex-wrap: wrap;
        align-items: stretch;
        width: 100%;
    }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {
    
    .body-content {
        padding-left: 10px;
        padding-right: 10px;
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) {
   
    .body-content {
        padding-left: 10px;
        padding-right: 10px;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {
    
    .body-content {
        padding-left: 10px;
        padding-right: 10px;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    
    .body-content {
        padding-left: 10px;
        padding-right: 10px;
    }
}

/* change the background color */
.navbar-custom {
    background-color: lightblue;
    font-size: 1.4em;
    font-weight: bold;
}

    /* change the brand and text color */
    .navbar-custom .navbar-brand,
    .navbar-custom .navbar-text {
        color: rgba(255, 255, 255, .8);
    }

    /* change the link color and add padding for height */
    .navbar-custom .navbar-nav .nav-link {
        color: #51271b;
    }

    /* change the color of active or hovered links */
    .navbar-custom .nav-item.active .nav-link,
    .navbar-custom .nav-item:hover .nav-link {
        color: #cccccc;
        /*background-color: #ee4400;*/
        /* add background-color to active links */
    }

    /* change the brand and text color */
    .navbar-custom .navbar-brand,
    .navbar-custom .navbar-text {
        color: rgba(255, 255, 255, .8);
    }

    /* change the link color */
    .navbar-custom .navbar-nav .nav-link {
        /*color: red;*/
    }

    /* change the color of active or hovered links */
    .navbar-custom .nav-item.active .nav-link,
    .navbar-custom .nav-item:hover .nav-link {
        color: #8c502e;
    }

    /* for dropdown only - change the color of droodown */
    .navbar-custom .dropdown-menu {
        /*background-color: #ff5500;*/
    }

    .navbar-custom .dropdown-item {
        color: #ffffff;
    }

        .navbar-custom .dropdown-item:hover,
        .navbar-custom .dropdown-item:focus {
            color: #333333;
            /*background-color: rgba(255, 255, 255, .5);*/
        }
